%define ALD_Ver		2.0

Name:         gsettings-desktop-schemas

License:      GPL
Summary:      A collection of GSettings schemas
Version:      3.36.1
Release:      0

Source: %{name}-%{version}.tar.xz

# https://download.gnome.org/sources/gsettings-desktop-schemas/3.36/

%define DestDir		/Gtk3/gnome
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.
#-------------------------------
%package devel
Summary:      headers for the C compiler
Group:        Development/Libraries
%description devel
These headers are needed to compile C code.
#-------------------------------
%package locale
Summary:      locale
Group:        Applications/Languages
%description locale
Locale

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build 

meson	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--includedir=%{_includedir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--localedir=%{_datadir}/locale \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	-D introspection=false \
	_Build \
	&>FConfigure_log.txt

ninja -C _Build &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

DESTDIR=$RPM_BUILD_ROOT ninja -C _Build install \
	 &>Finstall_log.txt

cp AUTHORS README $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/lgpl-2.1.txt $RPM_BUILD_ROOT%{docdir}/COPYING

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# --------------------------------------------------------------------
%posttrans
glib-compile-schemas /usr/share/glib-2.0/schemas/

%postun
if test "$1" = "0" ; then
  glib-compile-schemas /usr/share/glib-2.0/schemas/
fi

# ------------------- Files ------------------------------------------
%files
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{docdir}/AUTHORS
%{docdir}/COPYING
%{docdir}/README

%files devel
%{_includedir}/*
%{_datadir}/pkgconfig/*

%files locale
%{_datadir}/locale
